# FdoXmlDeserializable Class Reference

`#include <Deserializable.h>`

Inheritance diagram for FdoXmlDeserializable:

[legend]

List of all members.

## Detailed Description

FdoXmlDeserializable provides the ability to deserialize an FDO object from an XML Document. Deserialization support can be added to any class by basing it on FdoXmlDeserializable and implementing the FdoXmlSaxHander callbacks.

Definition at line 28 of file Deserializable.h.

## Public Member Functions
virtual FDO_API FdoXmlFlags * | GetDeserializationFlags ()
| Gets the XML Flags that were passed to the ReadXml() function that is currently being executed. This function would typically be called by the FdoXmlSaxHandler callbacks.
virtual FDO_API FdoXmlReader * | GetFromExternalStylesheet ()
| Gets the stylesheet for converting the XML document from external to internal format. When classes derived from FdoXmlDeserializable define an internal format, they must override this function to return a stylesheet that does the conversion.
virtual FDO_API FdoXmlSaxContext * | GetSaxContext ()
| Gets the SAX context to pass to the FdoXmlSaxHandler callbacks. Classes derived from FdoXmlDeserializable can override this function to specify a SAX context with class-specific information.
virtual FDO_API FdoXmlReader * | GetXmlReader ()
| Gets the current XML Reader. This function would typically be called by the FdoXmlSaxHandler callbacks when ReadXml() is being invoked. When ReadXml() reads from a file, stream, or text reader, a wrapping XML reader is automatically created.
virtual FDO_API void | ReadXml (FdoIoStream *stream, FdoXmlFlags *flags=NULL)
| Reads an XML document from a stream.
virtual FDO_API void | ReadXml (FdoIoTextReader *textReader, FdoXmlFlags *flags=NULL)
| Reads an XML document from a text reader.
virtual FDO_API void | ReadXml (FdoXmlReader *xmlReader, FdoXmlFlags *flags=NULL)
| Reads an XML document from an XML reader.
virtual FDO_API void | ReadXml (FdoString *fileName, FdoXmlFlags *flags=NULL)
| Reads from an XML document in a file.
## Protected Member Functions
FDO_API | FdoXmlDeserializable ()
virtual FDO_API | ~FdoXmlDeserializable ()

The documentation for this class was generated from the following file:

- Deserializable.h